Name:		nodejs-iconv
Version:	1.1.3
Release:	1%{?dist}
Summary:	nodejs iconv binding
Summary(ko): nodejs iconv 모듈

Group:		Development/Languages
License:	FREE / Ben Noordhuis
URL:		https://registry.npmjs.org/iconv
Source0:	iconv-%{version}.tgz
Patch0:		iconv-glibc.patch
Patch1:		iconv-annyung.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	nodejs-devel
Requires:	nodejs

%description
node.js iconv bindings - text recoding for fun and profit!


%prep
%setup -q -n package
%patch0 -p1
%patch1 -p1

%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/nodejs/iconv/index.node
%{_libdir}/node_modules/iconv.node


%changelog
* Sat May 12 2012 JoungKyun.Kim <http://oops.org> 1:1.1.3-1%{?dist}
- first build
- link with iconv of glibc

